Subject: [weirds] FW: Gen-ART review of draft-ietf-weirds-rdap-sec-09

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Oct 2014 10:50:21 +0000

FYI, folks.

Scott

From: Hollenbeck, Scott
Sent: Monday, October 20, 2014 9:18 AM
To: 'Christer Holmberg'; [email-masked]
Cc: [email-masked]
Subject: RE: Gen-ART review of draft-ietf-weirds-rdap-sec-09

Thanks for the comments, Christer. More below.

Scott

From: Christer Holmberg [mailto:[email-masked]]
Sent: Sunday, October 19, 2014 7:46 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Gen-ART review of draft-ietf-weirds-rdap-sec-09

(Re-send with correct subject)

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                         draft-ietf-weirds-rdap-sec-09

Reviewer:                           Christer Holmberg

Review Date:                     19 October 2014

IETF LC End Date:             24 October 2014

IETF Telechat Date:         30 October 2014

Summary:                         I have found a number of issues. They are of editorial nature, but makes it difficult to understand the mechanism. I ask the authors to look at those, and consider if/how they can be addressed.

Major Issues: None

Minor Issues: None

Q1_GENERAL:

In the Introduction, you say that one of the goal of RDAP is to provide security services, that do not exist in WHOIS.

However, in section 3 you then say that RDAP doesn't provide any of these security services, but relies on other protocols.

First, I think you need to re-formulate the text in the Introduction, and talk about how other protocols can be used to provide security services for RDAP.

[SAH] The introduction currently states "This document describes how each of these services is achieved by RDAP". The details are described in later sections. I'm comfortable with changing "This document describes how each of these services is achieved by RDAP" to "This document describes how each of these services is achieved by RDAP using features that are available in other protocol layers", but I think it's more appropriate to leave the details where they are and not replicate them in the introduction.

Second, there is no text on why "other protocols" couldn't be used to provide security services for WHOIS. I think you need to

say that, if you want to claim that RDAP provides better security than WHOIS.

[SAH] This document isn't focused on WHOIS deficiencies. The reference to RFC 3912 provides a pointer to WHOIS and its lack of security services.

Q2_GENERAL:

              In some places you say that additional/alternative mechanisms may be defined in the future. I think it would be good to in

the Introduction indicate that additional/alternative mechanisms can be added in the future.

[SAH] OK, that's reasonable.

Q3_GENERAL:

              You start some subsections by describing what WHOIS does/doesn't do. I think you should first describe of

the specific security service is provided for RDAP, and then later describe e.g. why the same cannot be provided

for WHOIS

[SAH] Since this document isn't focused on WHOIS deficiencies I don't think this is necessary.

Q4_3_1_1:

              Section 3.1.1. says: "Federated authentication mechanisms used by RDAP are OPTIONAL."

              That statement is confusing. Does it mean that everything else in the document is mandatory to support?

[SAH] Good point. I can modify that sentence and the second sentence in that paragraph as follows:

"Federated authentication mechanisms MAY be used by RDAP. If used, they MUST be fully supported by HTTP."

Q5_3_3:

              The name of section 3.3 is "Availability". I don't see how that is a security service, and the text mostly talks about

throttling. Would it be more appropriate to say "Request throttling" instead?

[SAH] The property of availability is described in Section 4 of RFC 4949. I believe the text is appropriate as-is.

Q6_3_4:

              Section 3.4 says:

              "Web services such as RDAP commonly use HTTP Over TLS [RFC2818] to provide that protection by encrypting all

              traffic sent on the connection between client and server."

              To me that sounds like something from a BCP document. I think you should say that the document defines

the usage of HTTP over TLS for providing the security service.

[SAH] OK. I can change the sentence to "RDAP SHOULD use HTTP Over TLS [RFC2818] to provide that protection by encrypting all traffic sent on the connection between client and server". I'm sure there are people who will suggest that MUST is better than SHOULD, but that adds a requirement that hasn't been discussed in the WG. WG chairs - what do you think?

Editorial nits: None

Regards,

Christer

---

From: Andrew Newton <[email-masked]>
Date: Tue, 21 Oct 2014 19:33:16 -0400

On Tue, Oct 21, 2014 at 6:50 AM, Hollenbeck, Scott
<[email-masked]> wrote:
>               “Web services such as RDAP commonly use HTTP Over TLS
> [RFC2818] to provide that protection by encrypting all
>
>               traffic sent on the connection between client and server.”
>
>
>
> [SAH] OK. I can change the sentence to “RDAP SHOULD use HTTP Over TLS
> [RFC2818] to provide that protection by encrypting all traffic sent on the
> connection between client and server”. I’m sure there are people who will
> suggest that MUST is better than SHOULD, but that adds a requirement that
> hasn’t been discussed in the WG. WG chairs – what do you think?

Not a wg chair, but I'm fine with this change.

-andy

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Tue, 21 Oct 2014 21:51:10 -0700

On Tue, Oct 21, 2014 at 4:33 PM, Andrew Newton <[email-masked]> wrote:

> >               To me that sounds like something from a BCP document. I
> think
> > you should say that the document defines
> >

How about changing "SHOULD use" to simply "uses"?

-MSK